Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class RowFilterKeyForwardOnly

`java.lang.Object
oracle.jbo.server.RowFilterKey
oracle.jbo.server.RowFilterKeyForwardOnly`

All Implemented Interfaces:
  RowFilter

public class RowFilterKeyForwardOnly
extends RowFilterKey

Constructor Summary
`RowFilterKeyForwardOnly(ViewObjectImpl vo)`
`RowFilterKeyForwardOnly(ViewObjectImpl vo, java.lang.Object[] values)`

Method Summary
`boolean` | `equals(java.lang.Object val)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class oracle.jbo.server.RowFilterKey
`getKey, getParamLength, getParamValues, getRowInitLength, getRowInitValues, getViewObjectImpl, getWhereClauseParams, isNameValuePairs, isNull, paramQualifies, streamStringToValues, streamToString, whereClauseParamQualifies`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowFilterKeyForwardOnly

    public RowFilterKeyForwardOnly(ViewObjectImpl vo,
                                   java.lang.Object[] values)

### RowFilterKeyForwardOnly

    public RowFilterKeyForwardOnly(ViewObjectImpl vo)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `RowFilterKey`

### equals

    public boolean equals(java.lang.Object val)

  Overrides:
    `equals` in class `RowFilterKey`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RowFilterKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.